Package org.apache.lucene.classification.utils

## Class NearestFuzzyQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.classification.utils.NearestFuzzyQuery

-     public class NearestFuzzyQuery
      extends Query

  Simplification of FuzzyLikeThisQuery, to be used in the context of KNN classification.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NearestFuzzyQuery​(Analyzer analyzer)` | Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTerms​(String queryString, String fieldName)` | Adds user input for "fuzzification"
    `boolean` | `equals​(Object other)` |
    `int` | `hashCode()` |
    `Query` | `rewrite​(IndexSearcher indexSearcher)` |
    `String` | `toString​(String field)` |
    `void` | `visit​(QueryVisitor visitor)` |

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, createWeight, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NearestFuzzyQuery

          public NearestFuzzyQuery​(Analyzer analyzer)

      Default constructor
      Parameters:
        `analyzer` - the analyzer used to process the query text

  - ### Method Detail

    - #### addTerms

          public void addTerms​(String queryString,
                               String fieldName)

      Adds user input for "fuzzification"
      Parameters:
        `queryString` - The string which will be parsed by the analyzer and for which fuzzy variants will be parsed

    - #### rewrite

          public Query rewrite​(IndexSearcher indexSearcher)
                        throws IOException

      Overrides:
        `rewrite` in class `Query`
      Throws:
        `IOException`

    - #### toString

          public String toString​(String field)

      Specified by:
        `toString` in class `Query`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

    - #### equals

          public boolean equals​(Object other)

      Specified by:
        `equals` in class `Query`

    - #### visit

          public void visit​(QueryVisitor visitor)

      Specified by:
        `visit` in class `Query`